// creator  : weidu.exe (version 23100)
// argument : _BASSIL.DLG
// game		 : .
// source	 : ./override/_BASSIL.DLG
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~_BASSIL~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #1 /* Triggers after states #: 14 even though they appear after this state */
~NumberOfTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #74262 /* ~Heh Hurh Heh!  Oh brother Thurm, why not grace our ears with a ripping tale of the old days?  Always a delight!~ */
  IF ~~ THEN EXTERN ~_ZOMBIE~ 0
  IF ~Global("X#BASSIL0","GLOBAL",0)
InParty("ajantis")
InMyArea("ajantis")
!StateCheck("ajantis",CD_STATE_NOTVALID)
!Global("X#AjantisBassilusQuest","GLOBAL",1)
~ THEN DO ~SetGlobal("X#BASSIL0","GLOBAL",1)~ EXTERN ~_AJANTJ~ 256
  IF ~Global("X#BASSIL0","GLOBAL",0)
InParty("ajantis")
InMyArea("ajantis")
!StateCheck("ajantis",CD_STATE_NOTVALID)
Global("X#AjantisBassilusQuest","GLOBAL",1)
~ THEN DO ~SetGlobal("X#BASSIL0","GLOBAL",1)~ EXTERN ~_AJANTJ~ 257
  IF ~Global("X#BASSIL0","GLOBAL",0)
InParty("garrick")
InMyArea("garrick")
!StateCheck("garrick",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#BASSIL0","GLOBAL",1)~ EXTERN ~_GARRIJ~ 187
  IF ~Global("X#BASSIL0","GLOBAL",0)
InParty("edwin")
InMyArea("edwin")
!StateCheck("edwin",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#BASSIL0","GLOBAL",1)~ EXTERN ~_EDWINJ~ 169
END

IF ~~ THEN BEGIN 1 // from:
  SAY #74263 /* ~Oh, don't hesitate on my account!  Some of the others may not have heard them.~ */
  IF ~~ THEN EXTERN ~_ZOMBIE~ 1
  IF ~Global("X#VicBassilus","GLOBAL",0)
InParty("viconia")
InMyArea("viconia")
!StateCheck("viconia",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#VicBassilus","GLOBAL",1)~ EXTERN ~_VICONJ~ 83
END

IF ~~ THEN BEGIN 2 // from:
  SAY #74264 /* ~Hold your peace then, though I remember a time back at Zhentil Keep when you would sooner die than be quiet.  You... would sooner... um...  I'll wait 'til you feel like telling them yourself, I don't remember the old days so well.~ */
  IF ~Gender(LastTalkedToBy,FEMALE)
~ THEN REPLY #74265 /* ~You there, what is the meaning of this...~ */ GOTO 4
  IF ~Gender(LastTalkedToBy,MALE)
~ THEN REPLY #74265 /* ~You there, what is the meaning of this...~ */ GOTO 3
  IF ~Global("X#XzarBassil1","GLOBAL",0)
InParty("xzar")
InMyArea("xzar")
!StateCheck("xzar",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#XzarBassil1","GLOBAL",1)~ EXTERN ~_XZARJ~ 112
END

IF ~~ THEN BEGIN 3 // from: 19.1 18.1 17.1 16.1 15.1 2.1
  SAY #74266 /* ~Who dares interrupt while I speak with my family.  I'll have your heads if you're here to harm the... no!  It can't be!  Is that you, Father?  It cannot be otherwise, you haven't changed a bit in all these years!~ */
  IF ~~ THEN REPLY #74267 /* ~You have mistaken me for someone else, and I think you should come along quietly.  No doubt Beregost will have people to properly deal with you.~ */ UNSOLVED_JOURNAL #74268 /* ~Bassilus the murderer

The evil priest Bassilus seems to be insane.  He believes that the undead that he controls are the living members of his family.  He also believes that I am his parent.~ */ GOTO 5
  IF ~~ THEN REPLY #74269 /* ~You are mad, monster!  Die by my righteous wrath!~ */ UNSOLVED_JOURNAL #74268 /* ~Bassilus the murderer

The evil priest Bassilus seems to be insane.  He believes that the undead that he controls are the living members of his family.  He also believes that I am his parent.~ */ GOTO 13
  IF ~~ THEN REPLY #2366 /* ~Uhh... yes, son, it certainly has been a long time.  How are you doing... my boy?~ */ UNSOLVED_JOURNAL #74268 /* ~Bassilus the murderer

The evil priest Bassilus seems to be insane.  He believes that the undead that he controls are the living members of his family.  He also believes that I am his parent.~ */ GOTO 7
  IF ~~ THEN REPLY #74270 /* ~Uhm, yes... it's dad, and I want you to stop all this zombie foolishness and come to Beregost with me.  Surely someone there can help you.~ */ UNSOLVED_JOURNAL #74268 /* ~Bassilus the murderer

The evil priest Bassilus seems to be insane.  He believes that the undead that he controls are the living members of his family.  He also believes that I am his parent.~ */ GOTO 6
END

IF ~~ THEN BEGIN 4 // from: 19.0 18.0 17.0 16.0 15.0 2.0
  SAY #74271 /* ~Who dares interrupt while I speak with my family.  I'll have your heads if you're here to harm the... no!  It can't be!  Is that you, Mother?  It cannot be otherwise, you haven't changed a bit in all these years!~ */
  IF ~~ THEN REPLY #74267 /* ~You have mistaken me for someone else, and I think you should come along quietly.  No doubt Beregost will have people to properly deal with you.~ */ UNSOLVED_JOURNAL #74268 /* ~Bassilus the murderer

The evil priest Bassilus seems to be insane.  He believes that the undead that he controls are the living members of his family.  He also believes that I am his parent.~ */ GOTO 5
  IF ~~ THEN REPLY #74269 /* ~You are mad, monster!  Die by my righteous wrath!~ */ UNSOLVED_JOURNAL #74268 /* ~Bassilus the murderer

The evil priest Bassilus seems to be insane.  He believes that the undead that he controls are the living members of his family.  He also believes that I am his parent.~ */ GOTO 13
  IF ~~ THEN REPLY #2366 /* ~Uhh... yes, son, it certainly has been a long time.  How are you doing... my boy?~ */ UNSOLVED_JOURNAL #74268 /* ~Bassilus the murderer

The evil priest Bassilus seems to be insane.  He believes that the undead that he controls are the living members of his family.  He also believes that I am his parent.~ */ GOTO 7
  IF ~~ THEN REPLY #74272 /* ~Uhm, yes... it's mom, and I want you to stop all this zombie foolishness and come to Beregost with me.  Surely someone there can help you.~ */ UNSOLVED_JOURNAL #74268 /* ~Bassilus the murderer

The evil priest Bassilus seems to be insane.  He believes that the undead that he controls are the living members of his family.  He also believes that I am his parent.~ */ GOTO 6
END

IF ~~ THEN BEGIN 5 // from: 7.3 4.0 3.0
  SAY #74273 /* ~No!  Time has made you forget, just like all the others!  But I can remind you, and we'll all be a family again!  Hold still!~ */
  IF ~~ THEN DO ~Shout(1)
Enemy()
~ EXIT
  IF ~Global("X#BASSIL5","GLOBAL",0)
InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#BASSIL5","GLOBAL",1)~ GOTO 20
  IF ~Global("X#BASSIL5","GLOBAL",0)
InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#BASSIL5","GLOBAL",1)~ EXTERN ~_JAHEIJ~ 387
  IF ~Global("X#BASSIL5","GLOBAL",0)
InParty("branwen")
InMyArea("branwen")
!StateCheck("branwen",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#BASSIL5","GLOBAL",1)~ GOTO 22
  IF ~Global("X#BASSIL5","GLOBAL",0)
InParty("branwen")
InMyArea("branwen")
!StateCheck("branwen",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#BASSIL5","GLOBAL",1)~ EXTERN ~_BRANWJ~ 87
END

IF ~~ THEN BEGIN 6 // from: 7.2 4.3 3.3
  SAY #74274 /* ~Zombies?  You don't see them as they truly are?  You must be vexed by some sort of enchantment or another.  Don't worry though, this has happened with some of the others and I know how to cure it.  This will only hurt a moment.~ */
  IF ~~ THEN DO ~Shout(1)
Enemy()
~ EXIT
  IF ~Global("X#BASSIL6","GLOBAL",0)
InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#BASSIL6","GLOBAL",1)~ GOTO 26
  IF ~Global("X#BASSIL6","GLOBAL",0)
InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#BASSIL6","GLOBAL",1)~ EXTERN ~_JAHEIJ~ 390
  IF ~Global("X#BASSIL6","GLOBAL",0)
InParty("branwen")
InMyArea("branwen")
!StateCheck("branwen",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#BASSIL6","GLOBAL",1)~ GOTO 28
  IF ~Global("X#BASSIL6","GLOBAL",0)
InParty("branwen")
InMyArea("branwen")
!StateCheck("branwen",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#BASSIL6","GLOBAL",1)~ EXTERN ~_BRANWJ~ 88
END

IF ~~ THEN BEGIN 7 // from: 4.2 3.2
  SAY #74275 /* ~About as well as can be expected I guess.  It has been difficult but I've got most of the family back together.  Some did not seem to recognize me at first, but I helped them recall.~ */
  IF ~Gender(LastTalkedToBy,MALE)
~ THEN REPLY #74276 /* ~No matter.  I've not seen you since... um... Zhentil Keep.  Thank the gods we all got out safely.~ */ GOTO 8
  IF ~Gender(LastTalkedToBy,FEMALE)
~ THEN REPLY #74276 /* ~No matter.  I've not seen you since... um... Zhentil Keep.  Thank the gods we all got out safely.~ */ GOTO 9
  IF ~~ THEN REPLY #74277 /* ~But these are not our kin!  What madness has your eyes?  Zombies all!~ */ GOTO 6
  IF ~~ THEN REPLY #74278 /* ~I am disappointed in you son.  These are not your family, and it's an abomination to suggest it!~ */ GOTO 5
END

IF ~~ THEN BEGIN 8 // from: 7.0
  SAY #74279 /* ~Yes, though it was frightening for a time because I thought I was the only one of us that survived.  I thought I was the only one who... the only one.  You lie.  YOU LIE!  You cannot be my father because he died when I left the... when I...~ */
  IF ~~ THEN REPLY #74280 /* ~It's not I who lies, but you to yourself!  You rob others of THEIR loved ones to replace those you betrayed long ago!~ */ GOTO 10
  IF ~~ THEN REPLY #74281 /* ~When you ran from your home leaving them to die?  You are a coward and a murderer, and today you face judgment!~ */ GOTO 10
  IF ~~ THEN REPLY #74282 /* ~It's not too late to make amends for your actions!  Return to Beregost with me and atone for your crimes!~ */ GOTO 11
END

IF ~~ THEN BEGIN 9 // from: 7.1
  SAY #74283 /* ~Yes, though it was frightening for a time because I thought I was the only one of us that survived.  I thought I was the only one who... the only one.  You lie.  YOU LIE!  You cannot be my mother because she died when I left the... when I...~ */
  IF ~~ THEN REPLY #74280 /* ~It's not I who lies, but you to yourself!  You rob others of THEIR loved ones to replace those you betrayed long ago!~ */ GOTO 10
  IF ~~ THEN REPLY #74281 /* ~When you ran from your home leaving them to die?  You are a coward and a murderer, and today you face judgment!~ */ GOTO 10
  IF ~~ THEN REPLY #74282 /* ~It's not too late to make amends for your actions!  Return to Beregost with me and atone for your crimes!~ */ GOTO 11
END

IF ~~ THEN BEGIN 10 // from: 9.1 9.0 8.1 8.0
  SAY #74284 /* ~No!  They lived, all of them!  I saved them and they live!  I... I ran.  Dead... all dead.  It isn't true!  It cannot be... You lie!  You will die for slighting my memory!~ */
  IF ~~ THEN DO ~SetGlobal("MACBassilusArmyDie","GLOBAL",1)
Enemy()
~ EXIT
  IF ~Global("X#BASSIL10","GLOBAL",0)
InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#BASSIL10","GLOBAL",1)~ GOTO 32
  IF ~Global("X#BASSIL10","GLOBAL",0)
InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#BASSIL10","GLOBAL",1)~ EXTERN ~_JAHEIJ~ 393
  IF ~Global("X#BASSIL10","GLOBAL",0)
InParty("branwen")
InMyArea("branwen")
!StateCheck("branwen",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#BASSIL10","GLOBAL",1)~ GOTO 34
  IF ~Global("X#BASSIL10","GLOBAL",0)
InParty("branwen")
InMyArea("branwen")
!StateCheck("branwen",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#BASSIL10","GLOBAL",1)~ EXTERN ~_BRANWJ~ 89
END

IF ~~ THEN BEGIN 11 // from: 9.2 8.2
  SAY #74285 /* ~Go to Beregost to atone for my crimes?  Is it a crime to wish your family whole?!  Whatever the method, I had created some measure of peace for myself!  Until you came!  I will kill you, and my family will help me do it!~ */
  IF ~~ THEN DO ~Shout(1)
Enemy()
~ EXIT
  IF ~Global("X#BASSIL11","GLOBAL",0)
InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#BASSIL11","GLOBAL",1)~ GOTO 38
  IF ~Global("X#BASSIL11","GLOBAL",0)
InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#BASSIL11","GLOBAL",1)~ EXTERN ~_JAHEIJ~ 396
  IF ~Global("X#BASSIL11","GLOBAL",0)
InParty("branwen")
InMyArea("branwen")
!StateCheck("branwen",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#BASSIL11","GLOBAL",1)~ GOTO 40
  IF ~Global("X#BASSIL11","GLOBAL",0)
InParty("branwen")
InMyArea("branwen")
!StateCheck("branwen",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#BASSIL11","GLOBAL",1)~ EXTERN ~_BRANWJ~ 90
END

IF WEIGHT #2 /* Triggers after states #: 14 even though they appear after this state */
~Global("KilledZombie","GLOBAL",1)
~ THEN BEGIN 12 // from:
  SAY #74286 /* ~NO!  I'll not lose them again!  This time I'll protect them and all the attackers will die!~ */
  IF ~~ THEN DO ~Shout(1)
Enemy()
~ EXIT
  IF ~Global("X#BASSIL12","GLOBAL",0)
InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#BASSIL12","GLOBAL",1)~ GOTO 44
  IF ~Global("X#BASSIL12","GLOBAL",0)
InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#BASSIL12","GLOBAL",1)~ EXTERN ~_JAHEIJ~ 399
  IF ~Global("X#BASSIL12","GLOBAL",0)
InParty("branwen")
InMyArea("branwen")
!StateCheck("branwen",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#BASSIL12","GLOBAL",1)~ GOTO 46
  IF ~Global("X#BASSIL12","GLOBAL",0)
InParty("branwen")
InMyArea("branwen")
!StateCheck("branwen",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#BASSIL12","GLOBAL",1)~ EXTERN ~_BRANWJ~ 91
END

IF ~~ THEN BEGIN 13 // from: 4.1 3.1
  SAY #74287 /* ~It's madness!  By what logic do you steal mine parents' visage and attack my family?!  You shall die for this!!~ */
  IF ~~ THEN DO ~Shout(1)
Enemy()
~ EXIT
  IF ~Global("X#BASSIL13","GLOBAL",0)
InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#BASSIL13","GLOBAL",1)~ GOTO 50
  IF ~Global("X#BASSIL13","GLOBAL",0)
InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#BASSIL13","GLOBAL",1)~ EXTERN ~_JAHEIJ~ 402
  IF ~Global("X#BASSIL13","GLOBAL",0)
InParty("branwen")
InMyArea("branwen")
!StateCheck("branwen",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#BASSIL13","GLOBAL",1)~ GOTO 52
  IF ~Global("X#BASSIL13","GLOBAL",0)
InParty("branwen")
InMyArea("branwen")
!StateCheck("branwen",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#BASSIL13","GLOBAL",1)~ EXTERN ~_BRANWJ~ 92
END

IF WEIGHT #0 ~StateCheck(Myself,STATE_CHARMED)
~ THEN BEGIN 14 // from:
  SAY #74288 /* ~My name is heh, heh... Bassilus.  I worship the glorious Cyric.  I used to live in Zhentil Keep with my family, but then... The Giants came, and everyone died.  I... I ran away and... everyone died.  But now they're back.  I brought them all BACK!  I'll help you too!  Hold still!~ */
  IF ~~ THEN DO ~Shout(1)
Enemy()
~ UNSOLVED_JOURNAL #74289 /* ~Bassilus the murderer

When I charmed Bassilus, I learned that he is from Zhentil Keep.  It would seem that his family was slaughtered when the city was destroyed.  This event caused him to lose his mind.~ */ EXIT
  IF ~Global("X#BASSIL14","GLOBAL",0)
InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#BASSIL14","GLOBAL",1)~ GOTO 56
  IF ~Global("X#BASSIL14","GLOBAL",0)
InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#BASSIL14","GLOBAL",1)~ EXTERN ~_JAHEIJ~ 405
  IF ~Global("X#BASSIL14","GLOBAL",0)
InParty("branwen")
InMyArea("branwen")
!StateCheck("branwen",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#BASSIL14","GLOBAL",1)~ GOTO 58
  IF ~Global("X#BASSIL14","GLOBAL",0)
InParty("branwen")
InMyArea("branwen")
!StateCheck("branwen",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#BASSIL14","GLOBAL",1)~ EXTERN ~_BRANWJ~ 93
END

IF ~~ THEN BEGIN 15 // from:
  SAY #99102 /* ~Wha.. NO! We're all here. We are!~ */
  IF ~Gender(LastTalkedToBy,FEMALE)
~ THEN REPLY #74265 /* ~You there, what is the meaning of this...~ */ GOTO 4
  IF ~Gender(LastTalkedToBy,MALE)
~ THEN REPLY #74265 /* ~You there, what is the meaning of this...~ */ GOTO 3
  IF ~  InParty("xzar")
InMyArea("xzar")
!StateCheck("xzar",CD_STATE_NOTVALID)
~ THEN GOTO 19
  IF ~  InParty("xzar")
InMyArea("xzar")
!StateCheck("xzar",CD_STATE_NOTVALID)
~ THEN EXTERN ~_XZARJ~ 116
  IF ~  InParty("xzar")
InMyArea("xzar")
!StateCheck("xzar",CD_STATE_NOTVALID)
~ THEN GOTO 18
  IF ~  InParty("xzar")
InMyArea("xzar")
!StateCheck("xzar",CD_STATE_NOTVALID)
~ THEN EXTERN ~_XZARJ~ 115
  IF ~  InParty("xzar")
InMyArea("xzar")
!StateCheck("xzar",CD_STATE_NOTVALID)
~ THEN GOTO 17
  IF ~  InParty("xzar")
InMyArea("xzar")
!StateCheck("xzar",CD_STATE_NOTVALID)
~ THEN EXTERN ~_XZARJ~ 114
  IF ~  InParty("xzar")
InMyArea("xzar")
!StateCheck("xzar",CD_STATE_NOTVALID)
~ THEN GOTO 16
  IF ~  InParty("xzar")
InMyArea("xzar")
!StateCheck("xzar",CD_STATE_NOTVALID)
~ THEN EXTERN ~_XZARJ~ 113
END

IF ~~ THEN BEGIN 16 // from: 15.8
  SAY #71946 /* ~Who are you?~ */
  IF ~Gender(LastTalkedToBy,FEMALE)
~ THEN REPLY #74265 /* ~You there, what is the meaning of this...~ */ GOTO 4
  IF ~Gender(LastTalkedToBy,MALE)
~ THEN REPLY #74265 /* ~You there, what is the meaning of this...~ */ GOTO 3
  IF ~  InParty("xzar")
InMyArea("xzar")
!StateCheck("xzar",CD_STATE_NOTVALID)
~ THEN GOTO 19
  IF ~  InParty("xzar")
InMyArea("xzar")
!StateCheck("xzar",CD_STATE_NOTVALID)
~ THEN EXTERN ~_XZARJ~ 116
  IF ~  InParty("xzar")
InMyArea("xzar")
!StateCheck("xzar",CD_STATE_NOTVALID)
~ THEN GOTO 18
  IF ~  InParty("xzar")
InMyArea("xzar")
!StateCheck("xzar",CD_STATE_NOTVALID)
~ THEN EXTERN ~_XZARJ~ 115
  IF ~  InParty("xzar")
InMyArea("xzar")
!StateCheck("xzar",CD_STATE_NOTVALID)
~ THEN GOTO 17
  IF ~  InParty("xzar")
InMyArea("xzar")
!StateCheck("xzar",CD_STATE_NOTVALID)
~ THEN EXTERN ~_XZARJ~ 114
END

IF ~~ THEN BEGIN 17 // from: 16.6 15.6
  SAY #99105 /* ~UNCLE LESTER!!!~ */
  IF ~Gender(LastTalkedToBy,FEMALE)
~ THEN REPLY #74265 /* ~You there, what is the meaning of this...~ */ GOTO 4
  IF ~Gender(LastTalkedToBy,MALE)
~ THEN REPLY #74265 /* ~You there, what is the meaning of this...~ */ GOTO 3
  IF ~  InParty("xzar")
InMyArea("xzar")
!StateCheck("xzar",CD_STATE_NOTVALID)
~ THEN GOTO 19
  IF ~  InParty("xzar")
InMyArea("xzar")
!StateCheck("xzar",CD_STATE_NOTVALID)
~ THEN EXTERN ~_XZARJ~ 116
  IF ~  InParty("xzar")
InMyArea("xzar")
!StateCheck("xzar",CD_STATE_NOTVALID)
~ THEN GOTO 18
  IF ~  InParty("xzar")
InMyArea("xzar")
!StateCheck("xzar",CD_STATE_NOTVALID)
~ THEN EXTERN ~_XZARJ~ 115
END

IF ~~ THEN BEGIN 18 // from: 17.4 16.4 15.4
  SAY #99107 /* ~Oooohhh...~ */
  IF ~Gender(LastTalkedToBy,FEMALE)
~ THEN REPLY #74265 /* ~You there, what is the meaning of this...~ */ GOTO 4
  IF ~Gender(LastTalkedToBy,MALE)
~ THEN REPLY #74265 /* ~You there, what is the meaning of this...~ */ GOTO 3
  IF ~  InParty("xzar")
InMyArea("xzar")
!StateCheck("xzar",CD_STATE_NOTVALID)
~ THEN GOTO 19
  IF ~  InParty("xzar")
InMyArea("xzar")
!StateCheck("xzar",CD_STATE_NOTVALID)
~ THEN EXTERN ~_XZARJ~ 116
END

IF ~~ THEN BEGIN 19 // from: 18.2 17.2 16.2 15.2
  SAY #99109 /* ~YOU'RE NOT UNCLE LESTER! If you were, I'd be dead now! So...~ */
  IF ~Gender(LastTalkedToBy,FEMALE)
~ THEN REPLY #74265 /* ~You there, what is the meaning of this...~ */ GOTO 4
  IF ~Gender(LastTalkedToBy,MALE)
~ THEN REPLY #74265 /* ~You there, what is the meaning of this...~ */ GOTO 3
END

IF ~~ THEN BEGIN 20 // from: 5.1
  SAY #103398 /* ~You will see Cyric's glory when you rejoin the family, my lost sister...~ */
  IF ~~ THEN DO ~Shout(1)
Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 21 // from:
  SAY #103398 /* ~You will see Cyric's glory when you rejoin the family, my lost sister...~ */
  IF ~~ THEN DO ~Shout(1)
Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 22 // from: 5.3
  SAY #103396 /* ~You are mad yourself, sister, but you will be cured shortly...~ */
  IF ~~ THEN DO ~Shout(1)
Enemy()
~ EXIT
  IF ~  InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN GOTO 23
  IF ~  InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN EXTERN ~_JAHEIJ~ 388
END

IF ~~ THEN BEGIN 23 // from: 22.1
  SAY #103398 /* ~You will see Cyric's glory when you rejoin the family, my lost sister...~ */
  IF ~~ THEN DO ~Shout(1)
Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 24 // from: _BRANWJ:87.3
  SAY #103396 /* ~You are mad yourself, sister, but you will be cured shortly...~ */
  IF ~~ THEN DO ~Shout(1)
Enemy()
~ EXIT
  IF ~  InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN GOTO 25
  IF ~  InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN EXTERN ~_JAHEIJ~ 389
END

IF ~~ THEN BEGIN 25 // from: _BRANWJ:87.1 24.1
  SAY #103398 /* ~You will see Cyric's glory when you rejoin the family, my lost sister...~ */
  IF ~~ THEN DO ~Shout(1)
Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 26 // from: 6.1
  SAY #103398 /* ~You will see Cyric's glory when you rejoin the family, my lost sister...~ */
  IF ~~ THEN DO ~Shout(1)
Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 27 // from:
  SAY #103398 /* ~You will see Cyric's glory when you rejoin the family, my lost sister...~ */
  IF ~~ THEN DO ~Shout(1)
Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 28 // from: 6.3
  SAY #103396 /* ~You are mad yourself, sister, but you will be cured shortly...~ */
  IF ~~ THEN DO ~Shout(1)
Enemy()
~ EXIT
  IF ~  InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN GOTO 29
  IF ~  InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN EXTERN ~_JAHEIJ~ 391
END

IF ~~ THEN BEGIN 29 // from: 28.1
  SAY #103398 /* ~You will see Cyric's glory when you rejoin the family, my lost sister...~ */
  IF ~~ THEN DO ~Shout(1)
Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 30 // from: _BRANWJ:88.3
  SAY #103396 /* ~You are mad yourself, sister, but you will be cured shortly...~ */
  IF ~~ THEN DO ~Shout(1)
Enemy()
~ EXIT
  IF ~  InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN GOTO 31
  IF ~  InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN EXTERN ~_JAHEIJ~ 392
END

IF ~~ THEN BEGIN 31 // from: _BRANWJ:88.1 30.1
  SAY #103398 /* ~You will see Cyric's glory when you rejoin the family, my lost sister...~ */
  IF ~~ THEN DO ~Shout(1)
Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 32 // from: 10.1
  SAY #103398 /* ~You will see Cyric's glory when you rejoin the family, my lost sister...~ */
  IF ~~ THEN DO ~SetGlobal("MACBassilusArmyDie","GLOBAL",1)
Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 33 // from:
  SAY #103398 /* ~You will see Cyric's glory when you rejoin the family, my lost sister...~ */
  IF ~~ THEN DO ~SetGlobal("MACBassilusArmyDie","GLOBAL",1)
Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 34 // from: 10.3
  SAY #103396 /* ~You are mad yourself, sister, but you will be cured shortly...~ */
  IF ~~ THEN DO ~SetGlobal("MACBassilusArmyDie","GLOBAL",1)
Enemy()
~ EXIT
  IF ~  InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN GOTO 35
  IF ~  InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN EXTERN ~_JAHEIJ~ 394
END

IF ~~ THEN BEGIN 35 // from: 34.1
  SAY #103398 /* ~You will see Cyric's glory when you rejoin the family, my lost sister...~ */
  IF ~~ THEN DO ~SetGlobal("MACBassilusArmyDie","GLOBAL",1)
Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 36 // from: _BRANWJ:89.3
  SAY #103396 /* ~You are mad yourself, sister, but you will be cured shortly...~ */
  IF ~~ THEN DO ~SetGlobal("MACBassilusArmyDie","GLOBAL",1)
Enemy()
~ EXIT
  IF ~  InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN GOTO 37
  IF ~  InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN EXTERN ~_JAHEIJ~ 395
END

IF ~~ THEN BEGIN 37 // from: _BRANWJ:89.1 36.1
  SAY #103398 /* ~You will see Cyric's glory when you rejoin the family, my lost sister...~ */
  IF ~~ THEN DO ~SetGlobal("MACBassilusArmyDie","GLOBAL",1)
Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 38 // from: 11.1
  SAY #103398 /* ~You will see Cyric's glory when you rejoin the family, my lost sister...~ */
  IF ~~ THEN DO ~Shout(1)
Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 39 // from:
  SAY #103398 /* ~You will see Cyric's glory when you rejoin the family, my lost sister...~ */
  IF ~~ THEN DO ~Shout(1)
Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 40 // from: 11.3
  SAY #103396 /* ~You are mad yourself, sister, but you will be cured shortly...~ */
  IF ~~ THEN DO ~Shout(1)
Enemy()
~ EXIT
  IF ~  InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN GOTO 41
  IF ~  InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN EXTERN ~_JAHEIJ~ 397
END

IF ~~ THEN BEGIN 41 // from: 40.1
  SAY #103398 /* ~You will see Cyric's glory when you rejoin the family, my lost sister...~ */
  IF ~~ THEN DO ~Shout(1)
Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 42 // from: _BRANWJ:90.3
  SAY #103396 /* ~You are mad yourself, sister, but you will be cured shortly...~ */
  IF ~~ THEN DO ~Shout(1)
Enemy()
~ EXIT
  IF ~  InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN GOTO 43
  IF ~  InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN EXTERN ~_JAHEIJ~ 398
END

IF ~~ THEN BEGIN 43 // from: _BRANWJ:90.1 42.1
  SAY #103398 /* ~You will see Cyric's glory when you rejoin the family, my lost sister...~ */
  IF ~~ THEN DO ~Shout(1)
Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 44 // from: 12.1
  SAY #103398 /* ~You will see Cyric's glory when you rejoin the family, my lost sister...~ */
  IF ~~ THEN DO ~Shout(1)
Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 45 // from:
  SAY #103398 /* ~You will see Cyric's glory when you rejoin the family, my lost sister...~ */
  IF ~~ THEN DO ~Shout(1)
Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 46 // from: 12.3
  SAY #103396 /* ~You are mad yourself, sister, but you will be cured shortly...~ */
  IF ~~ THEN DO ~Shout(1)
Enemy()
~ EXIT
  IF ~  InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN GOTO 47
  IF ~  InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN EXTERN ~_JAHEIJ~ 400
END

IF ~~ THEN BEGIN 47 // from: 46.1
  SAY #103398 /* ~You will see Cyric's glory when you rejoin the family, my lost sister...~ */
  IF ~~ THEN DO ~Shout(1)
Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 48 // from: _BRANWJ:91.3
  SAY #103396 /* ~You are mad yourself, sister, but you will be cured shortly...~ */
  IF ~~ THEN DO ~Shout(1)
Enemy()
~ EXIT
  IF ~  InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN GOTO 49
  IF ~  InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN EXTERN ~_JAHEIJ~ 401
END

IF ~~ THEN BEGIN 49 // from: _BRANWJ:91.1 48.1
  SAY #103398 /* ~You will see Cyric's glory when you rejoin the family, my lost sister...~ */
  IF ~~ THEN DO ~Shout(1)
Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 50 // from: 13.1
  SAY #103398 /* ~You will see Cyric's glory when you rejoin the family, my lost sister...~ */
  IF ~~ THEN DO ~Shout(1)
Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 51 // from:
  SAY #103398 /* ~You will see Cyric's glory when you rejoin the family, my lost sister...~ */
  IF ~~ THEN DO ~Shout(1)
Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 52 // from: 13.3
  SAY #103396 /* ~You are mad yourself, sister, but you will be cured shortly...~ */
  IF ~~ THEN DO ~Shout(1)
Enemy()
~ EXIT
  IF ~  InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN GOTO 53
  IF ~  InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN EXTERN ~_JAHEIJ~ 403
END

IF ~~ THEN BEGIN 53 // from: 52.1
  SAY #103398 /* ~You will see Cyric's glory when you rejoin the family, my lost sister...~ */
  IF ~~ THEN DO ~Shout(1)
Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 54 // from: _BRANWJ:92.3
  SAY #103396 /* ~You are mad yourself, sister, but you will be cured shortly...~ */
  IF ~~ THEN DO ~Shout(1)
Enemy()
~ EXIT
  IF ~  InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN GOTO 55
  IF ~  InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN EXTERN ~_JAHEIJ~ 404
END

IF ~~ THEN BEGIN 55 // from: _BRANWJ:92.1 54.1
  SAY #103398 /* ~You will see Cyric's glory when you rejoin the family, my lost sister...~ */
  IF ~~ THEN DO ~Shout(1)
Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 56 // from: 14.1
  SAY #103398 /* ~You will see Cyric's glory when you rejoin the family, my lost sister...~ */
  IF ~~ THEN DO ~Shout(1)
Enemy()
~ UNSOLVED_JOURNAL #74289 /* ~Bassilus the murderer

When I charmed Bassilus, I learned that he is from Zhentil Keep.  It would seem that his family was slaughtered when the city was destroyed.  This event caused him to lose his mind.~ */ EXIT
END

IF ~~ THEN BEGIN 57 // from:
  SAY #103398 /* ~You will see Cyric's glory when you rejoin the family, my lost sister...~ */
  IF ~~ THEN DO ~Shout(1)
Enemy()
~ UNSOLVED_JOURNAL #74289 /* ~Bassilus the murderer

When I charmed Bassilus, I learned that he is from Zhentil Keep.  It would seem that his family was slaughtered when the city was destroyed.  This event caused him to lose his mind.~ */ EXIT
END

IF ~~ THEN BEGIN 58 // from: 14.3
  SAY #103396 /* ~You are mad yourself, sister, but you will be cured shortly...~ */
  IF ~~ THEN DO ~Shout(1)
Enemy()
~ UNSOLVED_JOURNAL #74289 /* ~Bassilus the murderer

When I charmed Bassilus, I learned that he is from Zhentil Keep.  It would seem that his family was slaughtered when the city was destroyed.  This event caused him to lose his mind.~ */ EXIT
  IF ~  InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN GOTO 59
  IF ~  InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN EXTERN ~_JAHEIJ~ 406
END

IF ~~ THEN BEGIN 59 // from: 58.1
  SAY #103398 /* ~You will see Cyric's glory when you rejoin the family, my lost sister...~ */
  IF ~~ THEN DO ~Shout(1)
Enemy()
~ UNSOLVED_JOURNAL #74289 /* ~Bassilus the murderer

When I charmed Bassilus, I learned that he is from Zhentil Keep.  It would seem that his family was slaughtered when the city was destroyed.  This event caused him to lose his mind.~ */ EXIT
END

IF ~~ THEN BEGIN 60 // from: _BRANWJ:93.3
  SAY #103396 /* ~You are mad yourself, sister, but you will be cured shortly...~ */
  IF ~~ THEN DO ~Shout(1)
Enemy()
~ UNSOLVED_JOURNAL #74289 /* ~Bassilus the murderer

When I charmed Bassilus, I learned that he is from Zhentil Keep.  It would seem that his family was slaughtered when the city was destroyed.  This event caused him to lose his mind.~ */ EXIT
  IF ~  InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN GOTO 61
  IF ~  InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN EXTERN ~_JAHEIJ~ 407
END

IF ~~ THEN BEGIN 61 // from: _BRANWJ:93.1 60.1
  SAY #103398 /* ~You will see Cyric's glory when you rejoin the family, my lost sister...~ */
  IF ~~ THEN DO ~Shout(1)
Enemy()
~ UNSOLVED_JOURNAL #74289 /* ~Bassilus the murderer

When I charmed Bassilus, I learned that he is from Zhentil Keep.  It would seem that his family was slaughtered when the city was destroyed.  This event caused him to lose his mind.~ */ EXIT
END
